#!/bin/bash
#SBATCH --job-name=tStockholm_colap3m_LNNp180_fewts
#SBATCH --output=/data70/hoellinger/WIP3M/tStockholm_colap3m_LNNp180_fewts/log.log
#SBATCH --error=/data70/hoellinger/WIP3M/tStockholm_colap3m_LNNp180_fewts/err.err
#SBATCH --nodes=1                        # Number of nodes (value or min-max)
#SBATCH --ntasks=128                     # The number of tasks (i.e. cores) per node
#SBATCH --partition=comp,pscomp          # Partition name
#SBATCH --time=24:00:00

##SBATCH --exclusive
##SBATCH --nodelist=i26             # Node name
##SBATCH --mem=64G                  # Memory pool for all cores (see also --mem-per-cpu)
##SBATCH --array=0-10               # Size of the array
##SBATCH --constraint=?             # Constraint e.g. specific node type

conda activate p3m

export OMP_NUM_THREADS=64
python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
    --run_id tStockholm_colap3m_LNNp180_fewts \
    --L 180 \
    --N 180 \
    --Np 180 \
    --Npm 360 \
    --n_Tiles 60 \
    --z_i 19.0 \
    --z_f 0.0 \
    --plot_fields True \
    --rescale_limiter "fac_p3m_fit" \
    --use_p3m_fit True \
    --mod_val_p3m1 0.03 \
    --mod_val_p3m2 0.15 \
    --mod_val_p3m3 0.2

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id tStockholm_colap3m_LNNp180 \
#     --L 180 \
#     --N 180 \
#     --Np 180 \
#     --Npm 360 \
#     --n_Tiles 60 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --rescale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --mod_val_p3m1 0.03 \
#     --mod_val_p3m2 0.07 \
#     --mod_val_p3m3 0.15
